Return a list of workspaces

Return a list of workspaces#

Description#

Retrieves a list of workspaces for a company.

GET /v1/metadata/workspace

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a WorkspacesResponse containing an array of Workspace objects for a company.

Example Responses#

{
  "data": [
    {
      "id": "1",
      "company_id": "140",
      "external_id": "2",
      "name": "Workspace A",
      "description": "Primary workspace for operations",
      "variables": [
        {
          "key": "workspaces",
          "label": "Workspaces",
          "defaultValue": "",
          "value": null,
          "encrypted": true
        }
      ]
    }
  ]
}